CVE-2017-7864

NameCVE-2017-7864
DescriptionFreeType 2 before 2017-02-02 has an out-of-bounds write caused by a heap-based buffer overflow related to the tt_size_reset function in truetype/ttobjs.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
freetype (PTS)stretch2.6.3-3.2+deb9u1fixed
stretch (security)2.6.3-3.2+deb9u2fixed
buster, buster (security)2.9.1-3+deb10u2fixed
bullseye2.10.4+dfsg-1fixed
bookworm, sid2.11.0+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
freetypesource(unstable)(not affected)

Notes

- freetype <not-affected> (Vulnerable code not present; CFF2 support introduced in 2.7.1, cf #860313)
Fixed by: https://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=e6699596af5c5d6f0ae0ea06e19df87dce088df8
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=509

Search for package or bug name: Reporting problems